# api_msg_msg Struct Reference

`#include <api_msg.h>`

## Data Fields

netconn * | conn
enum netconn_type | conntype
union {
struct {
ip_addr * ipaddr
uInt16 port
} bc
uInt16 len
sys_mbox_t mbox
pbuf * p
struct {
unsigned char copy
void * dataptr
uInt16 len
} w
} | msg

## Detailed Description

Definition at line 68 of file api_msg.h.

## Field Documentation

struct { ... } api_msg_msg::bc

Referenced by do_bind(), do_connect(), netconn_bind(), and netconn_connect().

struct netconn* api_msg_msg::conn

Definition at line 69 of file api_msg.h.

Referenced by do_accept(), do_bind(), do_close(), do_connect(), do_delconn(), do_listen(), do_recv(), do_send(), do_write(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_recv(), netconn_send(), and netconn_write().

enum netconn_type api_msg_msg::conntype

Definition at line 70 of file api_msg.h.

unsigned char api_msg_msg::copy

Definition at line 80 of file api_msg.h.

void* api_msg_msg::dataptr

Definition at line 78 of file api_msg.h.

struct ip_addr* api_msg_msg::ipaddr

Definition at line 74 of file api_msg.h.

uInt16 api_msg_msg::len

Definition at line 79 of file api_msg.h.

Referenced by do_recv(), and netconn_recv().

sys_mbox_t api_msg_msg::mbox

Definition at line 82 of file api_msg.h.

union { ... } api_msg_msg::msg

Referenced by api_msg_input(), api_msg_post(), do_bind(), do_connect(), do_recv(), do_send(), do_write(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_recv(), netconn_send(), and netconn_write().

struct pbuf* api_msg_msg::p

Definition at line 72 of file api_msg.h.

Referenced by do_send(), and netconn_send().

uInt16 api_msg_msg::port

Definition at line 75 of file api_msg.h.

struct { ... } api_msg_msg::w

Referenced by do_write(), and netconn_write().

The documentation for this struct was generated from the following file:

- src/sys/include/net/api_msg.h